Retrieve Staff Working Hours Schedule
const url = 'https://api.upvio.com/v1/businesses/example/staff/example/working-hours-schedules/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/example/staff/example/working-hours-schedules/example \ --header 'Authorization: Bearer <token>'Experimental Feature. Subject to change. Retrieve a Working Hours Schedule for a Staff.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The ID of the Business.
The ID of the Staff.
The ID of the Working Hours Schedule.
Responses
Section titled “Responses”A Working Hours Schedules
A schedule to use with Staff to plan availability.
object
Unique identifier across the platform.
Time when the resource was created (ISO 8601 format).
Time when the resource was created (ISO 8601 format).
The ID of the Staff this resource belongs to.
A configuration to define active hours.
object
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
The timezone for this schedule
Example
{ "workingHours": { "monday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "tuesday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "wednesday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "thursday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "friday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "saturday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "sunday": [ [ 900, 1200 ], [ 1300, 1700 ] ] }, "timezone": "America/New_York", "dateStart": "2024-01-01T00:00:00Z", "dateEnd": "2024-01-08T00:00:00Z"}The staff or working hours schedule ID is malformed.
object
object
The specific error that occurred.
Human-readable description of the error.
Example
{ "error": { "code": 400, "type": "BadRequestError", "title": "Invalid platformId format." }}The API key is missing or invalid, or the Business cannot be accessed with it.
object
object
The specific error that occurred.
Human-readable description of the error.
Example
{ "error": { "code": 403, "type": "UnauthorizedError", "title": "Invalid API token" }}The staff member or working hours schedule does not exist.
object
object
The specific error that occurred.
Human-readable description of the error.
Example
{ "error": { "code": 404, "type": "NotFoundError", "title": "Resource not found" }}